{
  "factory": {
    "id": "abstract-aggregation-strategy-camel-simple",
    "type": "entaxy.runtime.route.component.aggregation.strategy",
    "description": "",
    "isAbstract": true,
    "parent": "abstract-aggregation-strategy",
    "label": "",
    "category": ""
  },
  "entaxy.runtime.route.component.aggregation.strategy": {},
  "fields": {
	"ownerId": {
      "type": "String",
      "group": "hidden",
      "required": true,
      "isHidden": true,
      "defaultValue": {
		"@CALCULATED": {
			"expression": "${#OWNER#.objectId}"		
		}
      }	
	},
    "className": {
      "type": "String",
      "group": "hidden",
      "required": true,
      "isHidden": true,
      "defaultValue": {
        "@CALCULATED": {
          "expression": "${#FACTORY#.#TYPEINFO#.className}",
          "lazy": false
        }
      }
    },
    "beanId": {
      "type": "String",
      "group": "hidden",
      "required": true,
      "isHidden": true,
      "defaultValue": {
        "@CALCULATED": {
          "expression": "aggregation-strategy-${#FACTORY#.#TYPEINFO#.beanId}",
          "lazy": false
        }
      }
    }    
  },
  "outputs": {
  	"init": {
  		"fields": {
  			"ownerId": {},
  			"className": {},
  			"beanId": {}
  		},
  		"config": {
  			"configurable": false,
  			"@SKIP_PUBLISH": {}
  		},
  		"scopes": ["private"]
  		
  	}
  }
}